Bug 1920624 - RHEL 8.4.0 release note needed for deprecation of package libdwarf in RHEL9
Summary: RHEL 8.4.0 release note needed for deprecation of package libdwarf in RHEL9
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: doc-Release_Notes-8-en-US
Version: 8.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.4
Assignee: Lucie Maňásková
QA Contact: RHEL DPM
Jacob Taylor Valdez
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-26 18:30 UTC by Frank Ch. Eigler
Modified: 2021-06-23 12:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
.`libdwarf` has been deprecated The `libdwarf` library has been deprecated in RHEL 8. The library will likely not be supported in future major releases. Instead, use the `elfutils` and `libdw` libraries for applications that wish to process ELF/DWARF files. Alternatives for the `libdwarf-tools` `dwarfdump` program are the `binutils` `readelf` program or the `elfutils` `eu-readelf` program, both used by passing the `--debug-dump` flag.
Clone Of:
Environment:
Last Closed: 2021-06-23 12:07:52 UTC
Type: Bug
Target Upstream Version:
jvaldez: needinfo+


Attachments (Terms of Use)

Description Frank Ch. Eigler 2021-01-26 18:30:29 UTC

Comment 3 Jacob Taylor Valdez 2021-06-11 08:37:31 UTC
Hi Lucie,

Modified now. Tagging Mark to check the new text.

Mark, does the new text look good to you?

Cheers!

Comment 4 Mark Wielaard 2021-06-11 11:01:19 UTC
Hi Jacob,

(In reply to Jacob Taylor Valdez from comment #3)
> Mark, does the new text look good to you?

The text looks good, but it contains two typos:

libdrwarf -> libdwarf (2x)
'dwarf dump' is one word/program name 'dwarfdump' without a space.

Comment 5 Jacob Taylor Valdez 2021-06-11 12:38:09 UTC
Thanks for the response! Fixed now. I'll refer this to one of our docs colleagues for a quick peer-review before setting RDT flag to +


Note You need to log in before you can comment on or make changes to this bug.